summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-06-27 14:43:12 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-06-27 14:44:09 +0200
commit3759f24379c98b984a56b52c7d23a2dfbf36efcf (patch)
treedcd7d0b7672ec6524a494597a73ffedc755d05cb
parentec163633dd590bfdbd8d7fd147492081018507f7 (diff)
downloadautomake-3759f24379c98b984a56b52c7d23a2dfbf36efcf.tar.gz
tests: avoid a spurious failure on MacOS X 10.6.8
Fixes automake bug#14706. * t/depcomp2.sh: Strip, from the redirected ./configure stderr, the possible error message "rm: conftest.dSYM: is a directory", generated by cleanup code that doesn't cater to the existence of *.dSYM directories sometimes created by the compiler on MacOS X. This "massaging" of ./configure stderr is legitimate, since the spurious error message is due not to automake-related code, but to a know buglet/limitation of either Autoconf or Mac OS X bundles gcc: <http://lists.gnu.org/archive/html/bug-autoconf/2007-11/msg00017.html> Actually, from that link it appears that the original Autoconf issue had been fixed, but it must have been re-introduced in the meantime :-( Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
-rw-r--r--t/depcomp2.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/t/depcomp2.sh b/t/depcomp2.sh
index 218216477..3eba12d6c 100644
--- a/t/depcomp2.sh
+++ b/t/depcomp2.sh
@@ -45,6 +45,9 @@ $AUTOMAKE --add-missing
$AUTOCONF
./configure 2>stderr || { cat stderr >&2; exit 1; }
cat stderr >&2
-test ! -s stderr
+# Ignore warning messages sometimes seen on Mac OS X; they are
+# not automake's fault anyway, but either autoconf's or Mac's.
+sed '/rm:.* conftest\.dSYM/d' stderr >stderr2
+test -s stderr2 && { cat stderr2; exit 1; }
: